Page MenuHomePhabricator

[Story] RDF for Lexemes, Forms and Senses
Closed, ResolvedPublic

Description

As a user I want to be able to query the lexicographical data in Wikidata and work with it in other RDF-based tools.

Event Timeline

Restricted Application added a project: Wikidata. · View Herald TranscriptMar 11 2017, 7:43 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
WMDE-leszek triaged this task as High priority.Mar 13 2017, 7:04 AM
Lydia_Pintscher renamed this task from Rdf integration with Lexeme to [Story] Rdf integration with Lexeme.Mar 13 2017, 6:00 PM
Lydia_Pintscher removed a project: Epic.
Lydia_Pintscher updated the task description. (Show Details)
Lydia_Pintscher lowered the priority of this task from High to Normal.
Lydia_Pintscher renamed this task from [Story] Rdf integration with Lexeme to [Story] RDF for Lexemes, Forms and Senses.May 2 2018, 2:38 PM
Lydia_Pintscher updated the task description. (Show Details)
Tpt added a subscriber: Tpt.Sep 21 2018, 8:00 AM

It seems to me that the only thing missing in the implementation compared to https://www.mediawiki.org/wiki/Extension:WikibaseLexeme/RDF_mapping is the addition of schema:inLanguage for Lexemes. But it is derived data so it should not block the deployment to query.wikidata.org.

According to https://www.mediawiki.org/wiki/Extension:WikibaseLexeme/RDF_mapping a lexeme should be "a wikibase:Lexeme " as well as "a ontolex:LexicalEntry", but in the query service I can only find things via the latter relation. Similarly for forms and "wikibase:Form". Something left out of the dump?

@ArthurPSmith this is intentional:

Wikidata Query Service does not provide the following features:

* The wikibase:Lexeme, wikibase:Form and wikibase:Sense classes.
* The rdfs:label relations (more specific equivalents exists for lexemes, forms and senses).
* Just as for items and properties, the data node is integrated within the wd: node.

This works nicely now. I wonder if there is a cache/delete issue. Sometimes are see results that no longer exists in Wikidata, perhaps because the statement has been changed.

SELECT
  ?sense ?senseLabel
 WHERE {
   wd:L2373 ontolex:sense ?sense .
   ?sense skos:definition ?senseLabel .
 }   
 GROUP BY ?sense ?senseLabel
 ORDER BY (STR(?sense))

I see two rows with wd:L2373-S2.

@Lydia_Pintscher Do you think we could close this task? All basic features seems done and deployed on wdqs.

Smalyshev closed this task as Resolved.Feb 5 2019, 8:57 PM
Smalyshev claimed this task.